# Type Alias Filter

type Filter = {
isNotNull?: boolean;
isNull?: boolean;
method?: Methods;
name: string;
operator?: Operators;
or?: boolean;
value: FilterValue;
}

- Defined in jamespot-user-api/src/types/utils.ts:175

##### Index

### Properties

isNotNull?
isNull?
method?
name
operator?
or?
value

## Properties

### `Optional` isNotNull

isNotNull?: boolean

- Defined in jamespot-user-api/src/types/utils.ts:182

### `Optional` isNull

isNull?: boolean

- Defined in jamespot-user-api/src/types/utils.ts:181

### `Optional` method

method?: Methods

- Defined in jamespot-user-api/src/types/utils.ts:179

### name

name: string

- Defined in jamespot-user-api/src/types/utils.ts:176

### `Optional` operator

operator?: Operators

- Defined in jamespot-user-api/src/types/utils.ts:178

### `Optional` or

or?: boolean

- Defined in jamespot-user-api/src/types/utils.ts:180

### value

value: FilterValue

- Defined in jamespot-user-api/src/types/utils.ts:177